package com.persagy.server.controllers

import com.persagy.server.models.PointPorperty
import com.persagy.server.service.PropertyFamilyService
import com.persagy.service.models.responses.SQueryResponse
import io.swagger.annotations.Api
import io.swagger.annotations.ApiOperation
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 * 点位标签接口
 *
 * @author 张维新
 */
@Api(tags = ["点位标签相关接口"])
@RestController
@RequestMapping("/point")
class PointController {

    /**
     * 查询点位标信息状态
     */
    @ApiOperation(value = "查询点位标信息状态，未关联点位标签资产的数量，已经关联的数量", notes = " ")
    @GetMapping(value = ["/point-property"])
    fun pageQueryProperty(buildingId: String?, floorId: String?,startTime: String?, endingTime: String?): SQueryResponse<PointPorperty> {
        return PropertyFamilyService.queryPointPorperty(buildingId,floorId,startTime,endingTime)
    } // Function pageQueryProperty()
} // Class PointController