package com.persagy.server.models

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.server.datacenter.models.entities.base.BaseInfo
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column

/**
 * 点位信息和设备信息
 */
class PointPorperty : BaseInfo() {

    /** id */
    @ApiModelProperty(value = "id")
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 坐标x */
    @ApiModelProperty(value = "坐标x")
    @Column(name = "x")
    @JSONField(name = "X")
    var x: Double? = null

    /** 坐标y */
    @ApiModelProperty(value = "坐标y")
    @Column(name = "y")
    @JSONField(name = "Y")
    var y: Double? = null

    /** 数量资产 */
    @ApiModelProperty(value = "数量资产")
    @Column(name = "total")
    @JSONField(name = "Total")
    var total: Int? = null

    /** 未修订数量 */
    @ApiModelProperty(value = "未修订数量")
    @Column(name = "nocheck")
    @JSONField(name = "Nocheck")
    var nocheck: Int? = null

    /** 图片key值 */
    @ApiModelProperty(value = "图片key值")
    @Column(name = "image")
    @JSONField(name = "Image")
    var image: String? = null

} // Class PointPorperty