package com.persagy.server.messagecenter.models.request


import com.persagy.server.messagecenter.models.entities.MessageContent
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 消息中心
 *
 * @author  邓婷婷
 */
@ApiModel(description = "消息中心请求类")
open class MessageRequest{

    /** 标题 */
    @ApiModelProperty(value = "标题")
    @JSONField(name = "Title")
    var title: String? = null

    /** 发送消息的模块 */
    @ApiModelProperty(value = "发送消息的模块")
    @JSONField(name = "Module")
    var module: String? = null

    /** 枚举类型: Info, Warning, Error, Success */
    @ApiModelProperty(value = "枚举类型: Info, Warning, Error, Success")
    @JSONField(name = "Type")
    var type: String? = null

    /** 消息内容 */
    @ApiModelProperty(value = "消息内容")
    @JSONField(name = "Content")
    var content: MessageContent? = null

    /** 项目ID */
    @ApiModelProperty(value = "项目ID")
    @JsonProperty("ProjectId")
    var projectId: String? = null

    /** 消息接收人 */
    @ApiModelProperty(value = "消息接收人")
    @JSONField(name = "UserList")
    var userList: ArrayList<String>? = null

} // Class ScanTask